Arbor 3: FSM & BT Graph Editor 3.7.5

Public Member Functions | Public Attributes | Properties | List of all members
DataBranch Class Reference

Class that connects DataSlot. More...

Inherits ISerializationCallbackReceiver.

## Public Member Functions
void | SetBehaviour (int inNodeID, Object inBehaviour, int outNodeID, Object outBehaviour)
| Change Behavior. More...
void | SetDirtySlotField ()
| Mark slot field as dirty More...

## Public Attributes
int | branchID
| ID of branch. More...
bool | enabled
| Whether to draw. More...
Object | inBehaviour
| Input side Behaviour More...
int | inNodeID
| Input side nodeID More...
Object | outBehaviour
| Output side Behaviour More...
int | outNodeID
| Output side nodeID More...
Bezier2D | lineBezier = new Bezier2D()
| Bezier curve of the line to be connected. More...
bool | showDataValue = false
| Gets whether or not a value is visible. More...

## Properties
object | value`[get, set]`
| get set the value. More...
object | currentValue`[get]`
| Get the current value. More...
bool | isUsed`[get]`
| Gets whether or not a value is used. More...
Color | outputSlotColor`[get, set]`
| For editor More...
Color | inputSlotColor`[get, set]`
| For editor More...
bool | isVisible`[get, set]`
| Gets whether or not a value is visible. More...
float | updatedTime`[get]`
| Time that does not depend on timeScale when value is updated. More...
DataSlotField | outputSlotField`[get, set]`
| Get DataSlotField of output slot. More...
DataSlot | outputSlot`[get]`
| Get the output slot. More...
System.Reflection.FieldInfo | outputSlotFieldInfo`[get]`
| Get the FieldInfo of the output slot. More...
System.Type | outputType`[get]`
| Output type. More...
bool | isValidOutputSlot`[get]`
| Returns whether the output slot is valid. More...
DataSlotField | inputSlotField`[get, set]`
| Get the FieldInfo of the input slot. More...
DataSlot | inputSlot`[get]`
| Get the input slot. More...
System.Reflection.FieldInfo | inputSlotFieldInfo`[get]`
| Get the FieldInfo of the input slot. More...
System.Type | inputType`[get]`
| Input type. More...
bool | isValidInputSlot`[get]`
| Returns whether the input slot is valid. More...

## Detailed Description

Class that connects DataSlot.

## Member Function Documentation

## ◆ SetBehaviour()

void SetBehaviour | ( | int | inNodeID,
|  | Object | inBehaviour,
|  | int | outNodeID,
|  | Object | outBehaviour
| ) |  |

Change Behavior.

## ◆ SetDirtySlotField()

void SetDirtySlotField | ( |  | ) |

Mark slot field as dirty

## Member Data Documentation

## ◆ branchID

int branchID

ID of branch.

## ◆ enabled

bool enabled

Whether to draw.

For the editor.

## ◆ inBehaviour

Object inBehaviour

Input side Behaviour

## ◆ inNodeID

int inNodeID

Input side nodeID

## ◆ lineBezier

Bezier2D lineBezier = new Bezier2D()

Bezier curve of the line to be connected.

For editor

## ◆ outBehaviour

Object outBehaviour

Output side Behaviour

## ◆ outNodeID

int outNodeID

Output side nodeID

## ◆ showDataValue

bool showDataValue = false

Gets whether or not a value is visible.

## Property Documentation

## ◆ currentValue

object currentValue
| get

Get the current value.

## ◆ inputSlot

DataSlot inputSlot
| get

Get the input slot.

## ◆ inputSlotColor

Color inputSlotColor
| get set

For editor

## ◆ inputSlotField

DataSlotField inputSlotField
| get set

Get the FieldInfo of the input slot.

## ◆ inputSlotFieldInfo

System.Reflection.FieldInfo inputSlotFieldInfo
| get

Get the FieldInfo of the input slot.

## ◆ inputType

System.Type inputType
| get

Input type.

## ◆ isUsed

bool isUsed
| get

Gets whether or not a value is used.

## ◆ isValidInputSlot

bool isValidInputSlot
| get

Returns whether the input slot is valid.

## ◆ isValidOutputSlot

bool isValidOutputSlot
| get

Returns whether the output slot is valid.

## ◆ isVisible

bool isVisible
| get set

Gets whether or not a value is visible.

## ◆ outputSlot

DataSlot outputSlot
| get

Get the output slot.

## ◆ outputSlotColor

Color outputSlotColor
| get set

For editor

## ◆ outputSlotField

DataSlotField outputSlotField
| get set

Get DataSlotField of output slot.

## ◆ outputSlotFieldInfo

System.Reflection.FieldInfo outputSlotFieldInfo
| get

Get the FieldInfo of the output slot.

## ◆ outputType

System.Type outputType
| get

Output type.

## ◆ updatedTime

float updatedTime
| get

Time that does not depend on timeScale when value is updated.

## ◆ value

object value
| get set

get set the value.

When connecting to the output slot of Calculator, update it as necessary and obtain it.